require 'rubygems'
require 'faraday'
require 'multi_json'

require_relative '../lib/drummond'

describe Drummond do

  it 'should also return HTML' do
    r = Drummond.new "http://google.com"
    res = r.get ''
    expect(res.class).to eq(String)
    expect(res).to match(/^<HTML/)
  end

  it 'should GET json' do
    r = Drummond.new "http://date.jsontest.com"
    res = r.get ''
    expect(res.class).to eq(Hash)
  end

  it 'should POST json' do
    r = Drummond.new "http://date.jsontest.com"
    res = r.post ''
    expect(res.class).to eq(Hash)
  end

  it 'should send parameters' do
    r = Drummond.new "http://validate.jsontest.com"
    res = r.get '', {json: "{thinga: 'b'}"}
    expect(res.class).to eq(Hash)
    expect(res['empty']).to eq(false)
  end

end
